@echo off
rem *******************************************************************************
rem  Eléments sous licence - Propriétés d'IBM
rem  (c) Copyright IBM Corporation 2012. All Rights Reserved.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************

rem ################################################################################
rem
rem Fichier pour les messages affichés par les scripts automatisés de mise à niveau.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *********************************
REM * Messages de vérification initiale *
REM *********************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo La mise à niveau doit être exécutée à l'aide des droits administrateur.
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo N'exécutez pas le script app_upgrade directement. Pour mettre à niveau JTS ou l'application, exécutez l'une des commandes suivantes :
echo %TAB%dm_upgrade
echo %TAB%vvc_upgrade
echo Entrez -help pour afficher la description complète des commandes ci-dessus.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=
echo.
echo Sauf si vous utilisez le paramètre -help, vous ne pouvez pas exécuter le script %2 à partir d'un répertoire autre que %3
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo Le fichier %2 contient les valeurs de paramètre pour le script de mise à niveau.
echo Pour modifier ces valeurs de paramètre par défaut, éditez ces fichiers ou spécifiez les valeurs de paramètre sous forme d'arguments de ligne de commande pour les scripts de mise à niveau.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo L'ensemble de fichiers ci-dessous contient les valeurs de paramètre par défaut pour la mise à niveau d'une application ou d'un serveur JTS. Pour modifier ces valeurs de paramètre par défaut, éditez ces fichiers ou spécifiez les valeurs de paramètre sous forme d'arguments de ligne de commande pour les scripts de mise à niveau.
echo %TAB%- DMM upgrade: "%2params\dm_params%3.bat"
echo %TAB%- VVC upgrade:  "%2params\vvc_params%3.bat"
echo.
goto LBLEND


REM ************************************
REM * Messages de vérification des paramètres *
REM ************************************

REM Vérification intrinsèque
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Aucun type de serveur JTS ou d'application n'a été spécifié. Pour mettre à niveau JTS ou l'application, exécutez l'une des commandes suivantes :
echo    dm_upgrade
echo    vvc_upgrade
echo Entrez -help pour afficher la description complète des commandes ci-dessus.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2 n'est pas un type d'application valide. Pour mettre à niveau l'application, exécutez l'une des commandes suivantes :
echo    dm_upgrade
echo    vvc_upgrade
echo Entrez -help pour afficher la description complète des commandes ci-dessus.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo Valeur manquante pour le paramètre %2.
echo Entrez -help pour afficher la description complète des paramètres.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo Le répertoire %3 spécifié pour le paramètre %2 n'existe pas ou n'est pas valide.
echo Entrez -help pour afficher la description complète des paramètres.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo Le répertoire %3 spécifié pour le paramètre %2 doit être un chemin d'accès absolu.
echo Entrez -help pour afficher la description complète des paramètres.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo Le fichier %3 spécifié pour le paramètre %2 n'existe pas ou n'est pas valide.
echo Entrez -help pour afficher la description complète des paramètres.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3 est une valeur non valide pour le paramètre %2.
echo Entrez -help pour afficher la description complète des paramètres.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2 est un paramètre inconnu.
echo Entrez -help pour afficher la description complète des paramètres.
echo.
goto LBLEND


REM Vérification extrinsèque
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo Paramètre de répertoire principal %2 manquant.
echo Entrez -help pour afficher la description complète des paramètres.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo Le répertoire %2 n'existe pas ou n'est pas valide.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo La commande repotools de l'application '%2' est introuvable.
echo.
echo Vérifiez que le paramètre -oldApplicationHome '%3' pointe vers l'ancien répertoire de configuration de serveur, par exemple, 'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo La commande repotools de l'application '%2' est introuvable.
echo.
echo Vérifiez que le paramètre -oldApplicationHome '%3' pointe vers l'ancien répertoire de configuration de serveur, par exemple, 'JazzInstallDir\server\conf' et que le paramètre jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vérifiez que le paramètre -oldApplicationHome '%3' pointe vers l'ancien répertoire de configuration de serveur, par exemple, 'JazzInstallDir\server\conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vérifiez que le paramètre -oldApplicationHome '%3' pointe vers l'ancien répertoire de configuration de serveur, par exemple, 'JazzInstallDir\server\conf' et que le paramètre jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo La commande repotools de l'application '%2' est introuvable.
echo.
echo Vérifiez que le paramètre -newApplicationHome '%3' pointe vers le nouveau répertoire de configuration de serveur d'applications, par exemple, 'JazzInstallDir\server\conf' et que le paramètre jtsContextRoot '%4' est correct.
echo Si vous procédez à une mise à niveau à partir d'une édition précédente, vérifiez que vous avez sélectionné les racines de contexte correctes. Par exemple, si vous utilisez Installation Manager, vous devez sélectionner l'option de racine de contexte %5 dans le panneau "Options de racine de contexte". Si vous avez sélectionné une autre option par inadvertance, vous devez réinstaller le produit avec l'option de racine de contexte %5.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vérifiez que le paramètre -newApplicationHome '%3' pointe vers le nouveau répertoire de configuration de serveur JTS, par exemple, 'JazzInstallDir\server\conf' et que le paramètre jtsContextRoot '%4' est correct.
echo Si vous procédez à une mise à niveau à partir d'une édition précédente, vérifiez que vous avez sélectionné les racines de contexte correctes. Par exemple, si vous utilisez Installation Manager, vous devez sélectionner l'option de racine de contexte %5 dans le panneau "Options de racine de contexte". Si vous avez sélectionné une autre option par inadvertance, vous devez réinstaller le produit avec l'option de racine de contexte %5.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo La commande repotools JTS '%2' est introuvable.
echo.
echo Vérifiez que le paramètre -oldJTSHome '%3' pointe vers l'ancien répertoire de configuration de serveur JTS, par exemple, 'JazzInstallDir\server\conf' et que le paramètre jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vérifiez que le paramètre -oldJTSHome '%3' pointe vers l'ancien répertoire de configuration de serveur JTS, par exemple, 'JazzInstallDir\server\conf' et que le paramètre jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo La commande repotools JTS '%2' est introuvable.
echo.
echo Vérifiez que le paramètre -newJTSHome '%3' pointe vers le nouveau répertoire de configuration de serveur JTS, par exemple, 'JazzInstallDir\server\conf' et que le paramètre jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vérifiez que le paramètre -newJTSHome '%3' pointe vers le nouveau répertoire de configuration de serveur JTS, par exemple, 'JazzInstallDir\server\conf' et que le paramètre jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo Un fichier tar contenant les données 2.x est requis pour une mise à niveau de %2.
echo Entrez -help pour afficher la description complète des paramètres.
echo.
goto LBLEND


REM **********************
REM * Messages d'exécution *
REM **********************

:LBLMSG_BANNER_dm
echo.
echo.
echo =============================================
echo ===    Mise à niveau de DM    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_vvc
echo.
echo.
echo =============================================
echo ===    Mise à niveau VVC    ===
echo =============================================
echo.
goto LBLEND


REM *********************
REM * Passage à la première étape *
REM *********************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo La dernière exécution a échoué à l'étape initiale...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo La dernière exécution a échoué à l'étape %2...
echo Voulez-vous redémarrer la mise à niveau à partir de cette étape ou d'une étape précédente ?
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo La mise à niveau a déjà été effectuée et a abouti...
echo Voulez-vous en redémarrer une nouvelle à partir d'une étape spécifique ?
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo La dernière exécution a été arrêtée à l'étape %2...
echo Voulez-vous redémarrer la mise à niveau à partir de l'étape en cours %3 ou d'une étape précédente ?
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Entrez le numéro de l'étape [%2-%3] à partir de laquelle redémarrer la mise à niveau ou appuyez sur [Entrée] pour annuler :
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' n'est pas un nombre. Entrez un numéro d'étape valide.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2' n'est pas un numéro d'étape valide. Entrez un numéro d'étape valide.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo La dernière étape est l'étape %2 ; par conséquent, vous ne pouvez pas redémarrer la mise à niveau à l'étape %3.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo L'étape %2 n'a pas encore été exécutée ; par conséquent, vous ne pouvez pas redémarrer la mise à niveau à l'étape %3.
goto LBLEND


REM **********************
REM * Messages pour les étapes *
REM **********************

:LBLMSG_STEP_0
echo Etape 0 : Mise à jour des fichiers de configuration
echo ---------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Etape 1 : Ajout de tables
echo ------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Etape 2 : Mise à niveau du schéma d'entrepôt de données
echo -------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo Etape %2 : Recréation des index de requête et de recherche
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Etape 3 : Mise à niveau du schéma d'entrepôt de données
echo -------------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo Etape %2 : Recréation des index de texte
echo ----------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo Etape %2 : Recréation des index de requête et de recherche
echo -----------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo La mise à niveau de %2 a échoué à l'étape %3.  Corrigez le problème et exécutez à nouveau le script à partir de l'étape %3.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_DM
echo.
echo La mise à niveau de %2 a abouti.  Si vous avez également mis à niveau JTS et VVC, vous pouvez à présent démarrer les serveurs dans votre déploiement.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_VVC
echo.
echo La mise à niveau de %2 a abouti.  Si vous avez également mis à niveau JTS et toutes les applications dépendantes (telles que DM), vous pouvez à présent démarrer les serveurs dans votre déploiement.
echo.
goto LBLEND

REM *******************************
REM * Messages lors de l'exécution d'une étape *
REM *******************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Répertoire : %2
echo Commande :
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Entrez [E] pour exécuter cette étape, [S] pour l'ignorer ou appuyez sur [Entrée] pour annuler l'exécution du script :
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2' n'est pas une entrée valide ; 'E', 'S' et 'Entrée' seulement sont admis
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Un éditeur bloc-notes va s'ouvrir pour que vous puissiez vérifier le fichier teamserver.properties %2.
echo Vérifiez que la racine d'URI public indiquée par la propriété com.ibm.team.repository.server.webapp.url est correcte.
echo Vérifiez que les propriétés de la base de données sont correctes.
echo Lorsque vous avez terminé, sauvegardez vos modifications, le cas échéant, puis fermez l'éditeur afin de continuer l'exécution du script.
echo.
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Entrez [C] pour continuer l'exécution ou appuyez sur [Entrée] pour annuler l'exécution du script :
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2' n'est pas une entrée valide ; 'C' et 'Entrée' seulement sont admis
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Echec de la copie des index de texte à partir de '%2' vers '%3'.
echo Vérifiez la propriété com.ibm.team.fulltext.indexLocation
echo définie dans le fichier teamserver.properties.
echo Copiez manuellement les index de texte vers ce répertoire
echo ou exécutez la commande repotools -rebuildTextIndices pour les regénérer.
echo.
goto LBLEND

REM *****************************************
REM * Messages pour la vérification des URI publics *
REM *****************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERREUR !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Aucun URI public n'est défini dans
echo %3 ;
echo par conséquent, la mise à niveau ne peut pas être démarrée.
echo.
echo Ce fichier doit comporter un URI public défini comme suit :
echo https\://nomhôte.exemple.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La propriété d'URI public com.ibm.team.repository.server.webapp.url doit être indiquée dans le fichier teamserver.properties.
echo Ajoutez la propriété au fichier teamserver.properties de l'ancienne installation et paramétrez sa valeur sur l'URI racine que tous les clients utilisent pour accéder au serveur.
echo La racine d'URI public est indispensable au bon fonctionnement de votre nouvelle installation. Sans cette propriété, la mise à niveau ne pourra pas aboutir.
echo Pour plus d'informations, voir la rubrique 'Planification de vos URI' dans le centre de documentation.
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERREUR !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Tous les URI publics définis dans
echo %3,
echo sont mis en commentaire ; par conséquent la mise à niveau ne peut pas être démarrée.
echo.
echo Ce fichier doit comporter un URI public non commenté défini comme suit :
echo https\://nomhôte.exemple.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La propriété d'URI public com.ibm.team.repository.server.webapp.url doit être indiquée dans le fichier teamserver.properties.
echo Ajoutez la propriété au fichier teamserver.properties de l'ancienne installation et paramétrez sa valeur sur l'URI racine que tous les clients utilisent pour accéder au serveur.
echo La racine d'URI public est indispensable au bon fonctionnement de votre nouvelle installation. Sans cette propriété, la mise à niveau ne pourra pas aboutir.
echo Pour plus d'informations, voir la rubrique 'Planification de vos URI' dans le centre de documentation.
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo La racine de contexte de jts est définie sur : '%2'.
echo La racine de contexte de application est définie sur : '%3'.
echo Les racines de contexte de jts et de l'application ne peuvent pas être identiques.
echo.
goto LBLEND

:LBLEND
endlocal
