@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2012. All Rights Reserved.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************

rem ################################################################################
rem
rem 显示自动升级脚本消息的文件。
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *********************************
REM * Initial verification messages *
REM *********************************

:LBLMSG_NO_ADMIN_PRIVILEGES
echo.
echo 必须使用具有管理员权限的用户身份来运行升级。
echo.
goto LBLEND

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo 请勿直接执行 app_upgrade 脚本。要对 JTS 或应用程序进行升级，请运行下列其中一个命令：
echo %TAB%dm_upgrade
echo %TAB%vvc_upgrade
echo 请使用 -help 以获取关于上述命令的完整描述。
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo 除了使用 -help 参数时之外，无法从 %3 之外的另一个目录来运行 %2 脚本
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo 文件“%2”包含升级脚本的参数值。
echo 如果您需要修改任何缺省参数值，那么可以编辑这些文件，也可以指定参数值作为升级脚本的命令行参数。
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo 下面这一组文件包含用于应用程序或 JTS 升级的缺省参数值。如果您需要修改任何缺省参数值，那么可以编辑这些文件，也可以指定参数值作为升级脚本的命令行参数。
echo %TAB%- DMM 升级："%2params\dm_params%3.bat"
echo %TAB%- VVC 升级："%2params\vvc_params%3.bat"
echo.
goto LBLEND


REM ************************************
REM * Parameters verification messages *
REM ************************************

REM Intrinsic verification
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo 未指定 JTS 或应用程序类型。要对 JTS 或应用程序进行升级，请运行下列其中一个命令：
echo     dm_upgrade
echo     vvc_upgrade
echo 请使用 -help 以获取关于上述命令的完整描述。
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2 不是有效的应用程序类型。要对应用程序进行升级，请运行下列其中一个命令：
echo     dm_upgrade
echo     vvc_upgrade
echo 请使用 -help 以获取关于上述命令的完整描述。
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo 缺少参数 %2 的值。
echo 请使用 -help 以获取关于参数的完整描述。
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo 为参数 %2 指定的目录 %3 不存在或者无效。
echo 请使用 -help 以获取关于参数的完整描述。
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo 为参数 %2 指定的目录 %3 必须是一个绝对路径。
echo 请使用 -help 以获取关于参数的完整描述。
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo 为参数 %2 指定的文件 %3 不存在或者无效。
echo 请使用 -help 以获取关于参数的完整描述。
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo 对于参数 %2，%3 是无效值。
echo 请使用 -help 以获取关于参数的完整描述。
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2 是未知参数。
echo 请使用 -help 以获取关于参数的完整描述。
echo.
goto LBLEND


REM Extrinsic verification
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo 缺少主目录参数 %2。
echo 请使用 -help 以获取关于参数的完整描述。
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo 目录 %2 不存在或者无效。
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo 找不到应用程序 repotools 命令“%2”。
echo.
echo 请确认 -oldApplicationHome 参数“%3”指向旧的服务器配置目录，例如“JazzInstallDir\server\conf”。
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo 找不到应用程序 repotools 命令“%2”。
echo.
echo 请确认 -oldApplicationHome 参数“%3”指向旧的服务器配置目录（例如，“JazzInstallDir\server\conf”）并且 jtsContextRoot 参数“%4”正确。
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo 找不到配置文件“%2”。
echo.
echo 请确认 -oldApplicationHome 参数“%3”指向旧的服务器配置目录，例如“JazzInstallDir\server\conf”。
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo 找不到配置文件“%2”。
echo.
echo 请确认 -oldApplicationHome 参数“%3”指向旧的服务器配置目录（例如，“JazzInstallDir\server\conf”）并且 jtsContextRoot 参数“%4”正确。
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo 找不到应用程序 repotools 命令“%2”。
echo.
echo 请确认 -newApplicationHome 参数“%3”指向新的应用程序服务器配置目录（例如，“JazzInstallDir\server\conf”）并且 jtsContextRoot 参数“%4”正确。
echo 如果您正在从先前发行版进行升级，请确保您选择的上下文根正确。例如，如果使用 Installation Manager，那么必须在“上下文根选项”面板上选择 %5 上下文根选项。如果您意外选择了另一个选项，那么必须使用 %5 上下文根选项来重新安装本产品。
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo 找不到配置文件“%2”。
echo.
echo 请确认 -newApplicationHome 参数“%3”指向新的 JTS 服务器配置目录（例如，“JazzInstallDir\server\conf”）并且 jtsContextRoot 参数“%4”正确。
echo 如果您正在从先前发行版进行升级，请确保您选择的上下文根正确。例如，如果使用 Installation Manager，那么必须在“上下文根选项”面板上选择 %5 上下文根选项。如果您意外选择了另一个选项，那么必须使用 %5 上下文根选项来重新安装本产品。
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo 找不到 JTS repotools 命令“%2”。
echo.
echo 请确认 -oldJTSHome 参数“%3”指向旧的 JTS 服务器配置目录（例如，“JazzInstallDir\server\conf”）并且 jtsContextRoot 参数“%4”正确。
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo 找不到配置文件“%2”。
echo.
echo 请确认 -oldJTSHome 参数“%3”指向旧的 JTS 服务器配置目录（例如，“JazzInstallDir\server\conf”）并且 jtsContextRoot 参数“%4”正确。
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo 找不到 JTS repotools 命令“%2”。
echo.
echo 请确认 -newJTSHome 参数“%3”指向新的 JTS 服务器配置目录（例如，“JazzInstallDir\server\conf”）并且 jtsContextRoot 参数“%4”正确。
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo 找不到配置文件“%2”。
echo.
echo 请确认 -newJTSHome 参数“%3”指向新的 JTS 服务器配置目录（例如，“JazzInstallDir\server\conf”）并且 jtsContextRoot 参数“%4”正确。
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo 需要具备包含 2.x 数据的 tar 文件才能进行 %2 升级。
echo 请使用 -help 以获取关于参数的完整描述。
echo.
goto LBLEND


REM **********************
REM * Execution messages *
REM **********************

:LBLMSG_BANNER_dm
echo.
echo.
echo =============================================
echo ===    DM 升级    ===
echo =============================================
echo.
goto LBLEND

:LBLMSG_BANNER_vvc
echo.
echo.
echo =============================================
echo ===    VVC 升级    ===
echo =============================================
echo.
goto LBLEND


REM *********************
REM * First step switch *
REM *********************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo 上次执行时，在执行初始步骤时失败...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo 上次执行时，在执行步骤 %2 时失败...
echo 要重新开始从此步骤或前一步骤进行升级吗？
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo 已进行升级并且已成功完成...
echo 要从特定步骤重新开始新的升级吗？
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo 上次执行已成功在步骤 %2 停止...
echo 要重新开始从当前步骤 %3 或前一步骤进行升级吗？
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo 请输入您想要从其重新开始进行升级的步骤编号 [%2-%3]，或者按 [Enter] 键以取消：
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo “%2”不是编号。请输入有效的步骤编号。
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo “%2”是无效的步骤编号。请输入有效的步骤编号。
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo 最后一个步骤是步骤 %2，因此您不能从步骤 %3 重新开始进行升级。
goto LBLEND


:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo 步骤 %2 尚未运行，因此您不能从步骤 %3 重新开始进行升级。
goto LBLEND


REM **********************
REM * Messages for Steps *
REM **********************

:LBLMSG_STEP_0
echo 步骤 0：更新 config 文件
echo ---------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo 步骤 1：添加表
echo ------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo 步骤 2：升级数据仓库模式
echo -------------------------------------
goto LBLEND

:LBLMSG_STEP_2_REBUILD_QUERY_AND_INDEXES
echo 步骤 %2：重新创建查询和搜索索引
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo 步骤 3：升级数据仓库模式
echo -------------------------------------
goto LBLEND

:LBLMSG_FULL_TEXT_INDICES_STEP
echo 步骤 %2：重建文本索引
echo ----------------------------
goto LBLEND

:LBLMSG_JFS_INDICES_STEP
echo 步骤 %2：重新创建查询和搜索索引
echo -----------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo %2 升级在步骤 %3 失败。请解决问题，然后从步骤 %3 开始再次运行此脚本。
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_DM
echo.
echo %2 升级成功。如果您也升级了 JTS 和 VVC，那么您现在可以启动部署中的服务器。
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_VVC
echo.
echo %2 升级成功。如果您也升级了 JTS 和任何从属应用程序（如 DM），那么您现在可以启动部署中的服务器。
echo.
goto LBLEND

REM *******************************
REM * Messages while running step *
REM *******************************

:LBLMSG_STEP_DIR_CMD
echo.
echo 目录：%2
echo 命令：
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo 输入 [E] 将执行此步骤，输入 [S] 将跳过此步骤，或者按 [Enter] 以取消执行脚本：
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo “%2”是无效条目，只允许为“E”、“S”或者“Enter”
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo 将打开一个记事本编辑器，以允许您验证 %2 teamserver.properties 文件。
echo 请确认由 com.ibm.team.repository.server.webapp.url 属性表示的公用 URI 根正确。
echo 请确认数据库属性正确。
echo 验证完毕之后，如果进行了变更，请保存变更，然后关闭此编辑器以继续执行此脚本。
echo.

:LBLMSG_PAUSE
echo.
echo 请输入 [C] 以继续执行，或者按 [Enter] 键以取消执行此脚本：
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo “%2”是无效条目，只允许为“C”或者“Enter”
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo 未能将文本索引从“%2”复制到“%3”。
echo 验证在 teamserver.properties 文件中定义的
echo com.ibm.team.fulltext.indexLocation 属性。
echo 手动将文本索引复制到此目录
echo 或者运行 repotools -rebuildTextIndices 以重新构建文本索引。
echo.
goto LBLEND

REM *****************************************
REM * Messages for Public URIs verification *
REM *****************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 错误 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo 在 %3 中未定义
echo 任何公用 URI，
echo 因此，无法开始进行升级。
echo.
echo 此文件中必须有一个按如下所示定义的公用 URI：
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo teamserver.properties 文件中必须存在公用 URI 属性 com.ibm.team.repository.server.webapp.url。
echo 将此属性添加至旧安装的 teamserver.properties 文件，并将值设置为所有客户机用来访问服务器的 URI 根。echo 公用 URI 根对于新安装的正常运行非常重要。没有此属性，升级将不会成功。
echo 有关更多信息，请参阅信息中心中有关“规划 URI”的主题。
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! 错误 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo 已将 %3 中定义的
echo 所有公用 URI 注释掉，
echo 因此，无法开始进行升级。
echo.
echo 此文件中应当有一个按如下所示定义且已取消注释的公用 URI：
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo teamserver.properties 文件中必须存在公用 URI 属性 com.ibm.team.repository.server.webapp.url。
echo 将此属性添加至旧安装的 teamserver.properties 文件，并将值设置为所有客户机用来访问服务器的 URI 根。echo 公用 URI 根对于新安装的正常运行非常重要。没有此属性，升级将不会成功。
echo 有关更多信息，请参阅信息中心中有关“规划 URI”的主题。
echo.
goto LBLEND

:LBLMSG_CONTEXT_ROOTS_CANNOT_BE_SAME
echo.
echo JTS 的上下文根设置为：“%2”。
echo 应用程序的上下文根设置为：“%3”。
echo JTS 与应用程序的上下文根不得相同。
echo.
goto LBLEND

:LBLEND
endlocal
