@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2012. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************


REM #############################################################
REM #
REM # dm_upgrade.bat 스크립트 매개변수에 해당하는 환경 변수 및  #
REM # 해당 변수의 기본값 정의
REM #
REM #===========================================================
REM #
REM # dm_upgrade.bat 스크립트 실행의 시작 부분에서 이 파일을 #
REM # 읽습니다. 파일은 사전정의된 기본값을 사용하여 올바른
REM # 매개변수당 하나의 환경 변수를 설정합니다.
REM #
REM # 사용자는 매개변수 및 해당 값을 명령행에서 수동으로 입력하지
REM # 않고 자체 값을 사용하여 dm_upgrade.bat 스크립트를
REM # 실행하기 위해 기본값을 수정할 수 있습니다.
REM #
REM # 경고:
REM # 모든 애플리케이션에 대해 모든 변수를
REM # 설정할 필요는 없습니다. 값을 수정하기 전에
REM # 각 주석을 주의깊게 읽으십시오.
REM #
REM #############################################################

rem 매개변수: -oldApplicationHome
rem 사용법: -oldApplicationHome <디렉토리 경로>
rem 설명:
rem  이전 설치의 애플리케이션 홈 디렉토리에 대한 전체 경로입니다.
rem 기본값:
rem 	<none>
rem 제한조건:
rem  - 필수 매개변수임
rem  - <디렉토리 경로>는 'server\conf'로 끝나는 기존 디렉토리여야 함
rem    예: D:\Jazz\IBM\JazzInstallDir\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem 매개변수: -applicationContextRoot
rem 사용법: -applicationContextRoot <루트>
rem 설명:
rem 	애플리케이션 컨텍스트 루트입니다.
rem 기본값:
rem  dm
rem 제한조건:
rem  - <루트>는 올바른 디렉토리 단일 이름이어야 함(예: 선행 슬래시 없음)
rem
set APPLICATION_CONTEXT_ROOT=dm

rem 매개변수: -oldApplicationVersion
rem 사용법: -oldApplicationVersion <버전>
rem 설명:
rem 	업그레이드 중인 DM 버전입니다. 기본적으로 이는
rem  이전 애플리케이션에 대해 repotools -version을 실행하여 판별됩니다.
rem 기본값:
rem 	<none>
rem 제한조건:
rem  - 전체 버전 문자열이어야 함
rem    예: 4.0
rem
set OLD_APPLICATION_VERSION=

rem 매개변수: -newApplicationHome
rem 사용법: -newApplicationHome <디렉토리 경로>
rem 설명:
rem 	새 설치의 애플리케이션 홈 디렉토리 경로를 나타냅니다.
rem 기본값:
rem 	<currentDir>/conf
rem 제한조건:
rem  - 필수 매개변수임
rem  - <디렉토리 경로>는 'server\conf'로 끝나는 기존 디렉토리여야 함
rem    예: D:\Jazz\IBM\JazzInstallDir\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem 매개변수: -updateTomcatFiles
rem 사용법: -updateTomcatFiles <yes | no>
rem 설명:
rem 	Tomcat 구성 파일을 업데이트할지 여부입니다.
rem 기본값:
rem 	yes
rem 제한조건:
rem  - 'yes' 및 'no'만 올바른 값임
rem
set UPDATE_TOMCAT_FILES=yes

rem 매개변수: -oldApplicationTomcatHome
rem 사용법: -oldApplicationTomcatHome <디렉토리 경로>
rem 설명:
rem 	이전 설치의 Tomcat 루트 디렉토리에 대한 전체 경로입니다.
rem 기본값:
rem 	<none>
rem 제한조건:
rem  - 기존 디렉토리여야 함
rem
set OLD_APP_TOMCAT_HOME=

rem 매개변수: -newApplicationTomcatHome
rem 사용법: -newApplicationTomcatHome <디렉토리 경로>
rem 설명:
rem 	새 설치의 애플리케이션 Tomcat 루트 디렉토리 경로입니다.
rem 기본값:
rem 	<없음>
rem
set NEW_APP_TOMCAT_HOME=

rem 매개변수: -newJTSHome
rem 사용법: -newJTSHome <디렉토리 경로>
rem 설명:
rem 	새 설치에서 사용할 JTS의 JTS 서버 구성 디렉토리에 대한 경로입니다.
rem 기본값:
rem 	새 애플리케이션 홈 디렉토리
rem 제한조건:
rem  - <디렉토리 경로>는 'server\conf'로 끝나는 기존 디렉토리여야 함
rem
set NEW_JTS_HOME=

rem 매개변수: -JTSContextRoot
rem 사용법: -JTSContextRoot <루트>
rem 설명:
rem 	JTS 서버의 컨텍스트 루트입니다.
rem 기본값:
rem 	jts
rem 제한조건:
rem  - <루트>는 올바른 디렉토리 단일 이름이어야 함(예: 선행 슬래시 없음)
rem
set JTS_CONTEXT_ROOT=jts

rem 매개변수: -noPrompt
rem 사용법: -noPrompt
rem 설명:
rem 	테이블을 작성하거나 수정하기 전에 프롬프트를 표시하지 않음
rem 기본값:
rem 	<none>
rem 제한조건:
rem  - 공백 또는 'noPrompt'만 올바른 값임
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem 매개변수: -noVerify
rem 사용법: -noVerify
rem 설명:
rem 	teamserver.properties 파일 검증을 수행하지 않습니다.
rem 기본값:
rem 	<none>
rem 제한조건:
rem  - 공백 또는 'noVerify'만 올바른 값임
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem 매개변수: -overwrite
rem 사용법: -overwrite
rem 설명:
rem 	기존 파일을 겹쳐쓸지 여부입니다.
rem 기본값:
rem 	no
rem 제한조건:
rem  - 공백 또는 'overwrite=yes'만 올바른 값임
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem 매개변수: -noStepPrompt
rem 사용법: -noStepPrompt
rem 설명:
rem 	단계를 실행하기 전에 프롬프트를 표시하지 않습니다.
rem 기본값:
rem 	false
rem 제한조건:
rem  - 'true' 및 'false'만 올바른 값임
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
