@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2012. All Rights Reserved.
rem
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # 定义与 dm_upgrade.bat 脚本参数相对应的环境变量及其缺省值
REM #
REM #
REM #===========================================================
REM #
REM # 在开始执行 dm_upgrade.bat 脚本时，请阅读本文件。
REM # 将为每个有效参数设置一个环境变量，并提供预定义的缺省值。
REM #
REM #
REM # 用户可能希望修改缺省值，以便使用他们自己的值来
REM # 启动 dm_upgrade.bat 脚本，
REM # 而不必在命令行中手动输入参数及其对应值。
REM #
REM #
REM # 警告：
REM # 并不需要为每个应用程序都设置所有变量。
REM # 在修改值之前，请仔细阅读每条注释。
REM #
REM #
REM #############################################################

rem 参数：-oldApplicationHome
rem 用法：-oldApplicationHome <dir path>
rem 描述：
rem 旧安装中的应用程序主目录的完整路径。
rem 缺省值：
rem 	<无>
rem 约束：
rem  - 这是一个必需参数
rem  - <dir path> 必须是以“server\conf”结尾的现有目录
rem    例如，D:\Jazz\IBM\JazzInstallDir\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem 参数：-applicationContextRoot
rem 用法：-applicationContextRoot<root>
rem 描述：
rem 应用程序上下文根。
rem 缺省值：
rem 	dm
rem 约束：
rem  - <root> 必须是有效的目录单名（即，没有前导斜杠）
rem
set APPLICATION_CONTEXT_ROOT=dm

rem 参数：oldApplicationVersion
rem 用法：-oldApplicationVersion <version>
rem 描述：
rem 要升级的 DM 版本。缺省情况下，通过对旧的应用程序运行 repotools -version 来确定此版本。
rem
rem 缺省值：
rem 	<无>
rem 约束：
rem  - 应为完整的版本字符串，
rem    例如，4.0
rem
set OLD_APPLICATION_VERSION=

rem 参数：-newApplicationHome
rem 用法：-newApplicationHome <dir path>
rem 描述：
rem 新安装中的应用程序主目录的路径。
rem 缺省值：
rem 	<currentDir>/conf
rem 约束：
rem  - 这是一个必需参数
rem  - <dir path> 必须是以“server\conf”结尾的现有目录
rem    例如，D:\Jazz\IBM\JazzInstallDir\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem 参数：-updateTomcatFiles
rem 用法：-updateTomcatFiles <yes | no>
rem 描述：
rem 	表明是否更新 tomcat 配置文件。
rem 缺省值：
rem 	yes
rem 约束：
rem  - 有效值只有“yes”和“no”
rem
set UPDATE_TOMCAT_FILES=yes

rem 参数：-oldApplicationTomcatHome
rem 用法：-oldApplicationTomcatHome <dir path>
rem 描述：
rem 旧安装中的 Tomcat 根目录的完整路径。
缺省值：
rem 	<无>
rem 约束：
rem  - 必须是一个现有目录
rem
set OLD_APP_TOMCAT_HOME=

rem 参数：-newApplicationTomcatHome
rem 用法：-newApplicationTomcatHome <dir path>
rem 描述：
rem 新安装中的应用程序 Tomcat 根目录的路径。
缺省值：
rem 	<无>
rem
set NEW_APP_TOMCAT_HOME=

rem 参数：-newJTSHome
rem 用法：-newJTSHome <dir path>
rem 描述：
rem 新安装将使用的 JTS 的 JTS 服务器配置目录的路径。
rem 缺省值：
rem 	新的应用程序主目录
rem 约束：
rem  - <dir path> 必须是以“server\conf”结尾的现有目录
rem
set NEW_JTS_HOME=

rem 参数：-jtsContextRoot
rem 用法：-jtsContextRoot <root>
rem 描述：
rem JTS 服务器的上下文根。
rem 缺省值：
rem 	jts
rem 约束：
rem  - <root> 必须是有效的目录单名（即，没有前导斜杠）
rem
set JTS_CONTEXT_ROOT=jts

rem 参数：-noPrompt
rem 用法：-noPrompt
rem 描述：
rem 	在创建或修改表之前不提示
rem 缺省值：
rem 	<无>
rem 约束：
rem  - 有效值只有“noPrompt”或者为空
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem 参数：-noVerify
rem 用法：-noVerify
rem 描述：
rem 	不对 teamserver.properties 文件执行验证。
rem 缺省值：
rem 	<无>
rem 约束：
rem  - 有效值只有“noVerify”或者为空
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem 参数：-overwrite
rem 用法：-overwrite
rem 描述：
rem 	是否覆盖现有的任何文件。
rem 缺省值：
rem 	no
rem 约束：
rem  - 有效值只有“overwrite=yes”或者为空
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem 参数：-noStepPrompt
rem 用法：-noStepPrompt
rem 描述：
rem 	执行步骤之前不提示。
rem 缺省值：
rem 	false
rem 约束：
rem  - 有效值只有“true”或“false”
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
